import { __name as e } from "./chunk-AGHRB4JF.js";
import t from "../../../../d3-selection/src/select.js";
import "../../../../d3/src/index.js";
//#region ../../node_modules/mermaid/dist/chunks/mermaid.core/chunk-55IACEB6.mjs
var n = /* @__PURE__ */ e((e, n) => {
	let r;
	return n === "sandbox" && (r = t("#i" + e)), t(n === "sandbox" ? r.nodes()[0].contentDocument.body : "body").select(`[id="${e}"]`);
}, "getDiagramElement");
//#endregion
export { n as getDiagramElement };
